<TITLE> JFLAP Talks </TITLE>

<Body>


<hr>

<H1> JFLAP Talks </H1>

<hr>

<p>
Increasing Interaction and Support in the Formal Languages and
Automata Theory Course, The 12th Annual Conference on Innovation and
Technology
in Computer Science Education (ITiCSE 2007), Dundee, Scotland, June 25,
2007
<A href="http://www.cs.duke.edu/~rodger/talks/iticse07/talkITiCSE07.pdf">
pdf</a>
<br>
<br>

Turning Automata Theory into a Hands-on Course, 
Thirty-seventh SIGCSE Technical Symposium on
Computer Science Education, Houston, Texas,
March 3, 2006.
<A href="http://www.cs.duke.edu/~rodger/talks/sigcse06paperjflap.pdf">
pdf</a>

<br>
<br>

An Interactive and Visual Approach to Learning Computer Science, Department
of
Computer Science, University of Houston, Houston, Texas, November 30, 2004.
<A href="http://www.cs.duke.edu/~rodger/talks/houston04/talkhouston04.pdf">
pdf</a>


<br><br>
A Visual and Interactive Automata Theory Course with JFLAP 4.0,
Thirty-fifth SIGCSE Technical Symposium on
Computer Science Education, Norfolk, Virginia,
March 4, 2004.
<A href="http://www.cs.duke.edu/~rodger/talks/cse04/cse04jflap.pdf">
pdf</a>

<br>
<br>
    Learning Computer Science Concepts via Interactive Visualizations
Department of Computer Science, Johns Hopkins University, 
July 24, 2003.
<A href="http://www.cs.duke.edu/~rodger/talks/jhu03/jhu03-title.html">
html</a>

<br>

<br>
Using Hands-On Visualizations to Teach 
Computer Science  from Beginning Courses 
to Advanced Courses, Second Program Visualization Workshop, HornstrupCentret,
Denmark, June 28, 2002.
<A href="http://www.cs.duke.edu/~rodger/talks/pviswk02/pv02-title.html">
html</a>

<br>
<br>

Using JFLAP for Visualization and Interaction in the Automata Theory
Course, and JAWAA for automatic animation of data structures,
Dagstuhl, Germany, May 25, 2001.
<A href="http://www.cs.duke.edu/~rodger/talks/softvis01/talk.html">
html</a>


</Body>
